
/******************************************************************************
 *
 *  Quest Software, Inc.
 * ALL RIGHTS RESERVED.
 *
 * Redistribution and use in source and binary forms, with or without modification, 
 * are permitted provided that the following conditions are met:
 * 
 *  *  Redistributions of source code must retain the above copyright notice, 
 *     this list of conditions and the following disclaimer.  
 * 
 *  *  Redistributions in binary form must reproduce the above copyright notice, 
 *     this list of conditions and the following disclaimer in the documentation 
 *     and/or other materials provided with the distribution.  
 * 
 *  *  Neither the name of Quest Software, Inc. nor the names of its contributors 
 *     may be used to endorse or promote products derived from this software 
 *     without specific prior written permission. 
 * 
 * 
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ON AN "AS IS" 
 * AND UNSUPPORTED BASIS, WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES OF ANY KIND, 
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, NON-
 * INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL THE COPYRIGHT 
 * HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT 
 * OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
 * INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, 
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT 
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 ************************************************************************************/


/*
 *
 * Copyright (C) 2007-2009 SimplyCore LLC
 * All rights reserved.
 * This file is part of Linux USB IP project.
 * Distributed under Non-disclosure agreement.
 *
 */

/* Daemon errors */

#define ERROR_SUCCESS		0
#define ERROR_ACCESS_DENIDED	1
#define DEVICE_NOT_FOUND 	2
#define SYNC_ERROR		3
#define ERROR_DEVICE_STATE	4
#define ERROR_UNBIND_DEVICE	5
#define ERROR_BIND_DEVICE	6
#define ERROR_PARAMETERS	7
#define ERROR_INVALID_DEVICE	8
#define UNPLUG_DEVICE_NEEDED	9
#define ERROR_LICENSE_QUOTA_EXCEEDED	10
#define ERROR_ALREADY_EXISTS			11
#define ERROR_FILE_NOT_FOUND			12
#define ERROR_INVALID_STATE				13
#define ERROR_DEVICE_NOT_AVAILABLE		14
#define ERROR_DEVICE_IN_USE				15
#define ERROR_DEVICE_NOT_CONNECTED		16
#define ERROR_TIMEOUT					17
#define ERROR_CRC						18
#define ERROR_FILE_OFFLINE				19
#define ERROR_CONNECTION_COUNT_LIMIT	20
#define RPC_X_WRONG_ES_VERSION			21
#define ERROR_OLD_WIN_VERSION			22
#define ERROR_CONNECTION_REFUSED		23
#define ERROR_INVALID_HANDLE	24
#define ERROR_ALREADY_REGISTERED 25
