QT += core \
    gui \
    network \
    xml
TARGET = AppPortal
TEMPLATE = app
FORMS += ManageConnectionDialog/AutoLaunchPage/autoLaunchPage.ui \
    ManageConnectionDialog/ConfigurationSourcePage/configurationSourcePage.ui \
    ManageConnectionDialog/PasswordManagementPage/passwordManagementPage.ui \
    ManageConnectionDialog/UserExperiencePage/userExperiencePage.ui \
    ManageConnectionDialog/LocalResourcesPage/localResourcesPage.ui \
    ManageConnectionDialog/DisplayPage/displayPage.ui \
    ManageConnectionDialog/CredentialsPage/credentialsPage.ui \
    ManageConnectionDialog/FirewallProxyPage/firewallProxyPage.ui \
    ManageConnectionDialog/ConnectivityPage/connectivityPage.ui \
    ManageConnectionDialog/manageConnectionDialog.ui \
    ChangePasswordDialog/changePasswordDialog.ui \
    CredentialsDialog/credentialsDialog.ui \
    ChangeLocationDialog/changeLocationDialog.ui \
    LoadConfigurationDialog/loadConfigurationDialog.ui \
    ManageConnectionDialog/TitlePage/titlePage.ui \
    ProgressDialog/progressDialog.ui
HEADERS += FarmClient/farmConnection.h \
    sublib/ports.h \
    ManageConnectionDialog/AutoLaunchPage/autoLaunchPage.h \
    ManageConnectionDialog/ConfigurationSourcePage/configurationSourcePage.h \
    ManageConnectionDialog/PasswordManagementPage/passwordManagementPage.h \
    ManageConnectionDialog/UserExperiencePage/userExperiencePage.h \
    ManageConnectionDialog/LocalResourcesPage/localResourcesPage.h \
    ManageConnectionDialog/DisplayPage/displayPage.h \
    ManageConnectionDialog/CredentialsPage/credentialsPage.h \
    ManageConnectionDialog/FirewallProxyPage/firewallProxyPage.h \
    ManageConnectionDialog/ConnectivityPage/connectivityPage.h \
    ManageConnectionDialog/manageConnectionPage.h \
    ManageConnectionDialog/manageConnectionDialog.h \
    farmSettings.h \
    location.h \
    farm.h \
    ChangePasswordDialog/changePasswordDialog.h \
    CredentialsDialog/credentialsDialog.h \
    ChangeLocationDialog/changeLocationDialog.h \
    aboutDialog.h \
    common/crypto.h \
    common/rc4.h \
    common/errors.h \
    mainWindow.h \
    treeMenuWidget.h \
    verticalMenu.h \
    verticalMenuItem.h \
    LoadConfigurationDialog/loadConfigurationDialog.h \
    sublib/device.h \
    ManageConnectionDialog/TitlePage/titlePage.h \
    ProgressDialog/progressDialog.h \
    sublib/code.h \
    FarmClient/application.h \
    FarmClient/icons.h \
    FarmClient/farmConnection.h \
    FarmClient/applicationList.h \
    restartProgressDialog.h
SOURCES += sublib/ports.cpp \
    ManageConnectionDialog/AutoLaunchPage/autoLaunchPage.cpp \
    ManageConnectionDialog/ConfigurationSourcePage/configurationSourcePage.cpp \
    ManageConnectionDialog/PasswordManagementPage/passwordManagementPage.cpp \
    ManageConnectionDialog/UserExperiencePage/userExperiencePage.cpp \
    ManageConnectionDialog/LocalResourcesPage/localResourcesPage.cpp \
    ManageConnectionDialog/DisplayPage/displayPage.cpp \
    ManageConnectionDialog/CredentialsPage/credentialsPage.cpp \
    ManageConnectionDialog/FirewallProxyPage/firewallProxyPage.cpp \
    ManageConnectionDialog/ConnectivityPage/connectivityPage.cpp \
    ManageConnectionDialog/manageConnectionPage.cpp \
    ManageConnectionDialog/manageConnectionDialog.cpp \
    farmSettings.cpp \
    location.cpp \
    farm.cpp \
    ChangePasswordDialog/changePasswordDialog.cpp \
    CredentialsDialog/credentialsDialog.cpp \
    ChangeLocationDialog/changeLocationDialog.cpp \
    aboutDialog.cpp \
    common/crypto.cpp \
    common/rc4.cpp \
    main.cpp \
    mainWindow.cpp \
    treeMenuWidget.cpp \
    verticalMenu.cpp \
    verticalMenuItem.cpp \
    LoadConfigurationDialog/loadConfigurationDialog.cpp \
    sublib/device.cpp \
    ManageConnectionDialog/TitlePage/titlePage.cpp \
    ProgressDialog/progressDialog.cpp \
    sublib/code.cpp \
    FarmClient/application.cpp \
    FarmClient/icons.cpp \
    FarmClient/farmConnection.cpp \
    FarmClient/applicationList.cpp \
    restartProgressDialog.cpp
RESOURCES += allresource.qrc
CONFIG += qt \
    debug_and_release \
    staticlib \
    static \
    warn_on \
    no_lflags_merge
LIBS += ../lib/libqcommondata.a
